CREATE FUNCTION dbo.CFUJ_Moratoria_Cant_Cuotas_Adeudadas(@pJson VARCHAR(8000))
RETURNS SMALLINT
AS
BEGIN
DECLARE @Cant_Cuotas_Adeudadas	SMALLINT
DECLARE @Id_Familia_CS			SMALLINT

/*Variables recibidas por parámetro a traves del JSON*/
DECLARE @pId_Cliente	INT

SET @pId_Cliente		= ISNULL(CONVERT(INT, dbo.CF_JSON_VALUE(@pJson,'Id_Cliente')), 0)
/*FIN Variables recibidas por parámetro a traves del JSON*/

--Función generada el 03/06/2020 para utilizarse desde VENTAS.APP Proc: MoratoriaClub:Calcular:Ficha
--ATENCIÓN HAY QUE IMPLENTARLA PARA CADA CLIENTE


--Ej. x Calculo a través de Ult_Cuota_Paga
--SET @Meses_Deuda = (SELECT DATEDIFF(mm, Ult_Cuota_Paga, GETDATE()) FROM Clientes WHERE Id_Cliente = @pId_Cliente)


--Ej. x Calculo a traves de Cbtes_Items
--SET @Id_Familia_CS = ISNULL(dbo.CF_xParam('Fam_CuotasSoc'), 0)

--SET @Cant_Cuotas_Adeudadas = (SELECT COUNT(CI.Id_Trans) 
--					FROM Cbtes CB, Cbtes_Items CI, Cbtes_Tipos CT, Productos PR
--					WHERE 
--					CB.Id_Trans = CI.Id_Trans
--				    AND ISNULL(CB.Id_Tipo_Cbte, '') = CT.Id_Tipo_Cbte
--				    AND ISNULL(CI.Id_Producto, '') = PR.Id_Producto
--                  AND CT.Compromete_Factura = 1 
--                  AND CB.Id_Estado_Cbte = 1
--                  AND CI.Imp_Final <> 0
--                  AND CI.Fecha_QA < GETDATE()
--                  AND PR.Id_Familia = @Id_Familia_CS
--                  AND CI.id_cliente = @pId_Cliente
--                    )


RETURN ISNULL(@Cant_Cuotas_Adeudadas, 0)
END
